#include "editor.h"

bool quit;

list<Vtx *> vertices;
list<Edge *> edges;
list<Obj *> objects;
int Obj::next_id = 0;

int main (void)
{
	allegro_init();
	install_keyboard();
	install_timer();
	install_mouse();
	
	set_color_depth(8);
	set_gfx_mode(GFX_AUTODETECT, 640, 480, 0, 0);
	set_palette(desktop_palette);

	show_mouse(screen);

	load();

	quit = false;

	gui_init();

	do {
		gui_update();
		yield_timeslice();
	} while (!quit);

	return 0;
}
END_OF_MAIN();

