#ifndef __included_flower_h
#define __included_flower_h

#include "main.h"

class Flower {
	enum {
		mBrightnessLevels = 32
	};

	BITMAP *mBmp[mBrightnessLevels];

public:
	Flower (float radius, float outer_radius, float inner_radius, int petals, int out_r, int out_g, int out_b, int in_r, int in_g, int in_b);

	BITMAP *bmp(float brightness)
	{
		if (brightness >= 1)
			return mBmp[mBrightnessLevels-1];
		else if (brightness < 0)
			return mBmp[0];
		else
			return mBmp[(int)(brightness*mBrightnessLevels)];
	}

	float mCentre;
};

#endif

