// the heart object

#ifndef __HEART_H__
#define __HEART_H__


#include "thing.h"



// the heart class
class Heart : public Thing
{
public:
	Heart(double x, double y);

	// update and render handlers
	bool update();
	void render(BITMAP *bmp);

    Vector mFront;

    Vector mVel;
    float mAngVel;

	int mFireCounter;
	
	int mScore;
};



// global pointer to the heart
extern Heart *heart;




#endif		// __HEART_H__


