// the rocket objects

#ifndef __ROCKET_H__
#define __ROCKET_H__


#include "thinglist.h"



// the rocket class
class Rocket : public Thing
{
public:
    Rocket(int owner, const Vector& start, const Vector& dir, const Vector& vel, float gravity);
	
	// update and render handlers
	bool update();
	void render(BITMAP *bmp);

    Vector mFront;
    Vector mVel;

	float mGravity;

    int mOwnerID;
};



// global list of all rockets
extern ThingList<Rocket> rockets;




#endif		// __ROCKET_H__


