// base class for all our game objectsclass for managing lists of objects

#ifndef __THING_H__
#define __THING_H__


#include "main.h"



// generic base class for all game objects
class Thing
{
public:
	
	// construktor
	Thing(Vector pos = Vector(0, 0), float radius = 0)
		: mPos(pos),
		  mRadius(radius),
		  mDead(false)
		{ }


	Vector mPos;		// center position
	float mRadius;		// radius for collision checking

	bool mDead;			// are we still active?
	

	// comparison function, used by the container to sort by X coordinate
	bool operator < (const Thing &other) const
	{
		return (mPos.x < other.mPos.x);
	}
};




#endif		// __THING_H__


